# fileversioninfo::get-version-info

Returns a FileVersionInfo representing the version information associated with the specified file.

### Usage

`FileVersionInfo fileversioninfo::get-version-info(fileName)`

### Parameters

Name | Type | Description
--- | --- | ---
fileName | string | The file to retrieve the version information for.

### Return Value

A FileVersionInfo containing information about the file.

### Exceptions

The function will fail in any of the following circumstances:

- The file specified cannot be found.

### Requirements

Assembly: NAnt.Core (0.90.3780.0)